For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Benefit object
          • GET/benefits
          • GET/benefits/{id}

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBenefits

/benefits/{id}

GET
/hris/v1/benefits/:id
GET
/api/hris/v1/benefits/:id
$curl -G https://api.merge.dev/api/hris/v1/benefits/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=employee
200Retrieved
1{
2 "id": "3fe5ae7a-f1ba-4529-b7af-84e86dc6d232",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
7 "provider_name": "Blue Shield of California",
8 "employee_contribution": 23.65,
9 "company_contribution": 150,
10 "start_date": "2020-11-15 00:59:25.309761+00:00",
11 "end_date": "2021-10-15 00:23:25.309761+00:00",
12 "employer_benefit": "025fjlc6-6000-430a-848e-aafacbadf4fe",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/benefits",
25 "data": null
26 }
27 ],
28 "benefit_plan_type": "string"
29}

Returns a Benefit object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/benefits

Next

The Company object

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee on the plan.
provider_namestring or null
The name of the benefit provider.
employee_contributiondouble or null
The employee's contribution.
company_contributiondouble or null
The company's contribution.
start_datedatetime or null
The day and time the benefit started.
end_datedatetime or null
The day and time the benefit ended.
employer_benefitstring or nullformat: "uuid"
The employer benefit plan the employee is enrolled in.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
benefit_plan_typestring or nullDeprecated
The type of benefit plan